Bug 164631 - Update mail/dbmail to version 3.0.0
Update mail/dbmail to version 3.0.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 13:20 UTC by Alan Hicks
Modified: 2012-03-18 19:44 UTC (History)
0 users

See Also:


Attachments
file.diff (16.85 KB, patch)
2012-01-30 13:20 UTC, Alan Hicks
no flags Details | Diff
dbmail.diff.txt (16.64 KB, text/plain)
2012-03-05 14:02 UTC, Alan Hicks
no flags Details
dbmail.patch (15.50 KB, patch)
2012-03-16 15:03 UTC, Alan Hicks
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hicks 2012-01-30 13:20:08 UTC
Upgrade dbmail-2.2.17 to 3.0.0
Many new features including native ssl and successful clang build
Alas maintainer appears to have gone away

Fix: Current dbmail needs to be copied to dbmail-22 for those not wishing to upgrade
Apply attached patch

UPDATING message

  dbmail-3.0.0 is now available

  There are a number of significant changes including Dependencies, 
  Config, Schema and Server changes.

  Without these change, dbmail will not run and you will
  no longer have access to your emails. See UPGRADING for details.

  Don't forget to backup and fully test before upgrading.

  To keep version 2.2.17 run:
  # portupgrade -o mail/dbmail-22 mail/dbmail
  or
  # portmaster -o mail/dbmail-22 mail/dbmail


Patch attached with submission follows:
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-01-31 17:56:19 UTC
State Changed
From-To: open->repocopy

Repocopy requested. Please copy mail/dbmail to mail/dbmail22.
Comment 2 Mark Linimon freebsd_committer 2012-02-04 15:32:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

attempt to work around bug in GNATS database.
Comment 3 Mark Linimon freebsd_committer 2012-02-04 15:32:45 UTC
Responsible Changed
From-To: linimon->freebsd-ports-bugs

attempt to work around bug in GNATS database.
Comment 4 scheidell freebsd_committer 2012-02-15 02:38:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

repocopy mail/dbmail to mail/dbmail22
Comment 5 Joe Marcus Clarke freebsd_committer 2012-02-20 00:24:50 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2012-02-20 00:24:50 UTC
Responsible Changed
From-To: portmgr->scheidell

Repocopy complete.
Comment 7 scheidell freebsd_committer 2012-02-20 13:48:00 UTC
Responsible Changed
From-To: scheidell->rm

Back to original repocopy requester.
Comment 8 Alan Hicks 2012-03-05 14:02:58 UTC
Attached patch upgrades mail/dbmail from 2.2.17 to 3.0.1

The UPDATING message is still relevant:-

dbmail-3.0 is now available

There are a number of significant changes including Dependencies,
Config, Schema and Server changes.

Without these change, dbmail will not run and you will
no longer have access to your emails. See UPGRADING for details.

Don't forget to backup and fully test before upgrading.

To keep version 2.2.17 run:
# portupgrade -o mail/dbmail-22 mail/dbmail
or
# portmaster -o mail/dbmail-22 mail/dbmail

Regards,
Alan
Comment 9 Alan Hicks 2012-03-16 15:03:55 UTC
Attached patch upgrades mail/dbmail from 2.2.17 to 3.0.2

I'm also happy to take the port.

The UPDATING message is still relevant:-

dbmail-3.0 is now available

There are a number of significant changes including Dependencies,
Config, Schema and Server changes.

Without these change, dbmail will not run and you will
no longer have access to your emails. See UPGRADING for details.

Don't forget to backup and fully test before upgrading.

To keep version 2.2.17 run:
# portupgrade -o mail/dbmail-22 mail/dbmail
or
# portmaster -o mail/dbmail-22 mail/dbmail

Regards,
Alan
Comment 10 dfilter freebsd_committer 2012-03-16 16:28:19 UTC
rm          2012-03-16 16:28:09 UTC

  FreeBSD ports repository

  Modified files:
    mail/dbmail22/files  dbmail-imapd.sh.in dbmail-lmtpd.sh.in 
                         dbmail-pop3d.sh.in dbmail-timsieved.sh.in 
                         pkg-message.in 
    mail/dbmail22        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Forced commit to note repocopy from mail/dbmail.
  
  PR:             164631
  Submitted by:   Alan Hicks <ahicks at p-o.co dot uk>
  Repocopied by:  marcus
  Feature safe:   yes
  
  Revision  Changes    Path
  1.47      +0 -0      ports/mail/dbmail22/Makefile
  1.26      +0 -0      ports/mail/dbmail22/distinfo
  1.5       +1 -1      ports/mail/dbmail22/files/dbmail-imapd.sh.in
  1.5       +1 -1      ports/mail/dbmail22/files/dbmail-lmtpd.sh.in
  1.5       +1 -1      ports/mail/dbmail22/files/dbmail-pop3d.sh.in
  1.5       +1 -1      ports/mail/dbmail22/files/dbmail-timsieved.sh.in
  1.3       +0 -0      ports/mail/dbmail22/files/pkg-message.in
  1.3       +0 -0      ports/mail/dbmail22/pkg-descr
  1.17      +0 -0      ports/mail/dbmail22/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2012-03-18 19:17:21 UTC
rm          2012-03-18 19:17:12 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    mail/dbmail          Makefile distinfo pkg-descr pkg-plist 
  Added files:
    mail/dbmail/files    dbmail-imapd.in dbmail-lmtpd.in 
                         dbmail-pop3d.in dbmail-timsieved.in 
  Removed files:
    mail/dbmail/files    dbmail-imapd.sh.in dbmail-lmtpd.sh.in 
                         dbmail-pop3d.sh.in dbmail-timsieved.sh.in 
                         pkg-message.in 
  Log:
  - update to 3.0.2
  - pass maintainership to submitter
  - add LICENSE
  - drop optional dependencies on database backends - since 3.0 it's
    handled with libzdb
  - rename rc-scripts to .sh-less ones
  - add UPDATING entry for users, that want to stay with dbmail 2.2.x
  
  Please note, that committed patch is reworked version of originally
  submitted (missing deps added, rc-scripts renamed, NOPORTDOCS issue
  handled more completely, some plist fixes applied). Sorry for delay.
  
  PR:             164631
  Submitted by:   Alan Hicks <ahicks at p-o.co dot uk>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1216    +19 -1     ports/UPDATING
  1.48      +47 -80    ports/mail/dbmail/Makefile
  1.26      +2 -2      ports/mail/dbmail/distinfo
  1.1       +32 -0     ports/mail/dbmail/files/dbmail-imapd.in (new)
  1.5       +0 -32     ports/mail/dbmail/files/dbmail-imapd.sh.in (dead)
  1.1       +32 -0     ports/mail/dbmail/files/dbmail-lmtpd.in (new)
  1.5       +0 -32     ports/mail/dbmail/files/dbmail-lmtpd.sh.in (dead)
  1.1       +32 -0     ports/mail/dbmail/files/dbmail-pop3d.in (new)
  1.5       +0 -32     ports/mail/dbmail/files/dbmail-pop3d.sh.in (dead)
  1.1       +32 -0     ports/mail/dbmail/files/dbmail-timsieved.in (new)
  1.5       +0 -32     ports/mail/dbmail/files/dbmail-timsieved.sh.in (dead)
  1.3       +0 -29     ports/mail/dbmail/files/pkg-message.in (dead)
  1.3       +1 -1      ports/mail/dbmail/pkg-descr
  1.17      +46 -36    ports/mail/dbmail/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Ruslan Makhmatkhanov freebsd_committer 2012-03-18 19:44:29 UTC
State Changed
From-To: open->closed

Reworked patch committed, thank you!